# quart.routing module

class quart.routing.QuartRule(string, defaults=None, subdomain=None, methods=None, endpoint=None, strict_slashes=None, merge_slashes=None, host=None, websocket=False, provide_automatic_options=False)

  Bases: `Rule`

  Parameters:

    - string (str)

    - defaults (dict | None)

    - subdomain (str | None)

    - methods (Iterable[str] | None)

    - endpoint (str | None)

    - strict_slashes (bool | None)

    - merge_slashes (bool | None)

    - host (str | None)

    - websocket (bool)

    - provide_automatic_options (bool)

class quart.routing.QuartMap(rules=None, default_subdomain='', strict_slashes=True, merge_slashes=True, redirect_defaults=True, converters=None, sort_parameters=False, sort_key=None, host_matching=False)

  Bases: `Map`

  Parameters:

    - rules (t.Iterable[RuleFactory] | None)

    - default_subdomain (str)

    - strict_slashes (bool)

    - merge_slashes (bool)

    - redirect_defaults (bool)

    - converters (t.Mapping[str, type[BaseConverter]] | None)

    - sort_parameters (bool)

    - sort_key (t.Callable[[t.Any], t.Any] | None)

    - host_matching (bool)

  bind_to_request(request, subdomain, server_name)
    Parameters:

      - request (BaseRequestWebsocket)

      - subdomain (str | None)

      - server_name (str | None)

    Return type:

      MapAdapter